# File: rpm_specfiles_ddcui/coprall_0.1.3-1.spec
# Variant of ddcui spec file intended only for use with COPR

Name:    ddcui
Version: 0.1.3
Release: 2%{?dist}
Summary: Graphical user interface for ddcutil
License: GPLv2

# %%define _unpackaged_files_terminate_build 0 

URL:      http://www.ddcutil.com
# Source: http://www.ddcutil.com/tarballs/%%{name}-%%{version}.tar.gz
Source:   %{name}-%{version}.tar.gz
# Note: Using rockowitz.github.io instead of www.ddcutil.com does not resolve problem 

BuildRequires: cmake
# BuildRequires: cmake-data
BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: pkgconfig(glib-2.0)   >= 2.32
# BuildRequires: pkgconfig(Qt5)  >= 5.5
BuildRequires: pkgconfig(Qt5Widgets)  >= 5.5
BuildRequires: pkgconfig(Qt5Help) >= 5.5
BuildRequires: libddcutil3 >= 0.9.9
BuildRequires: libddcutil-devel >= 0.9.9
# hack, what pkgconfig file provides this?
# BuildRequires: qt5-qttools-devel
BuildRequires: libappstream-glib
# Requires(pre): shadow-utils

# Requires: pkgconfig(Qt5Core)  >= 5.5
# Requires: libddcutil3
Requires: pkgconfig(ddcutil) >= 0.9.9
Requires: pkgconfig(Qt5Help) >= 5.5
Requires: pkgconfig(Qt5) >= 5.5

# Fedora guidelines say BuildRoot ignored
BuildRoot: %{_tmppath}/%{name}-%{version}-build

%description 
Graphical user interface for ddcuitl.

ddcutil communicates with monitors implementing MCCS (Monitor Control Command
Set), using either the DDC/CI protocol on the I2C bus or as a Human Interface
Device on USB.  In general, anything that can be controlled using a monitor's
on-screen display can be controlled by this program.  Examples include 
changing a monitor's input source and adjusting its brightness.

# belt and suspenders:
%global _hardened_build 1

%prep
%setup -q

%build
%cmake . 
# with this define, fedora still builds on COPR, suse does not -DCMAKE_INSTALL_PREFIX=%{_prefix}
# -DCMAKE_VERBOSE_MAKEFILE(:BOOL)="true'
# %cmake_build
# Doesn't solve problem of build failing on suse because CMakeLists.txt not in build directory
# error msg: unknown predicate `-nameCMakeLists.txt'
# %%cmake `find . -name"CMakeLists.txt"`
# normal: %%make_build V=1
%make_build

# %%check
# ctest -V %%{?_smp_mflags}

%install
# %%cmake_install
%make_install
# appstream-util validate-relax --nonet %%%{buildroot}%%{_metainfodir}/*appdata.xml

%files
/usr/bin/ddcui
# on COPR, license statement does not install COPYING
%doc     AUTHORS NEWS.md README.md ChangeLog COPYING
%license COPYING

%{_mandir}/man1/ddcui.1*

# %%{_datadir}/%%{name}

%{_datadir}/applications/ddcui.desktop
%{_datadir}/icons
%{_datadir}/metainfo/ddcui.appdata.xml




%changelog

* Sat Jun 13 2020 Sanford Rockowitz <rockowitz@minsoft.com> 0.1.1-1
- Release 0.1.1
- For a complete list of changes and bug fixes, 
  see http://www.ddcutil.com/release_notes.

* Fri Dec 06 2019 Sanford Rockowitz <rockowitz@minsoft.com> 0.1.0-1
- Release 0.1.0
- For a complete list of changes and bug fixes, 
  see http://www.ddcutil.com/release_notes.

* Sat Oct 26 2019 Sanford Rockowitz <rockowitz@minsoft.com> 0.0.7-1
- Release 0.0.7
- For a complete list of changes and bug fixes, 
  see http://www.ddcutil.com/release_notes.

* Sun Nov 25 2018 Sanford Rockowitz <rockowitz@minsoft.com> 0.0.4-1
- Release 0.0.4
- For a complete list of changes and bug fixes, 
  see http://www.ddcutil.com/release_notes.
